
Redmine - Defect #12195

Javascript error with IE7 / IE8 on new issue form

2012-10-23 22:22 - Teddy L

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 2.1.3   

Resolution: Fixed Affected version: 2.1.2

Description

Please remove the additional comma after minLength in application.js

function observeAutocompleteField(fieldId, url) {

  $('#'+fieldId).autocomplete({

    source: url,

    minLength: 2,

  });

}

 Regards

Associated revisions

Revision 10714 - 2012-10-24 23:01 - Jean-Philippe Lang

Javascript syntax error (#12195).

Revision 10806 - 2012-11-15 20:59 - Jean-Philippe Lang

Fixed new issue form rendering with IE8.

Revision 10823 - 2012-11-17 10:02 - Jean-Philippe Lang

Merged r10806 from trunk (#12195).

History

#1 - 2012-10-24 09:14 - Etienne Massip

- Status changed from New to Confirmed

- Target version set to 2.1.3

#2 - 2012-10-24 09:21 - Etienne Massip

Please describe the misbehavior introduced?

#3 - 2012-10-24 11:15 - Teddy L

warnLeavingUnsavedMessage was undefined and raised an error in all pages. I didn't look for other problems, i fixed it, but i guess all functions under

observeAutocompleteField was undefined.

Regards

#4 - 2012-10-24 23:02 - Jean-Philippe Lang

- Status changed from Confirmed to Resolved

- Resolution set to Fixed

Fixed in r10714.

#5 - 2012-10-26 05:15 - Jean-Philippe Lang

- Status changed from Resolved to Closed
Merged in 2.1-stable.

#6 - 2012-10-26 05:16 - Jean-Philippe Lang

- Subject changed from broken javascript in IE7 to Javascript error with IE7

#7 - 2012-10-26 08:24 - Teddy L

Thanks

#8 - 2012-11-17 10:01 - Jean-Philippe Lang

- Subject changed from Javascript error with IE7 to Javascript error with IE7 / IE8

#9 - 2012-11-17 10:02 - Jean-Philippe Lang

- Subject changed from Javascript error with IE7 / IE8 to Javascript error with IE7 / IE8 on new issue form
